Debian Bug report logs - #484266
synopsis unusable because of termination on startup

version graph

Package: synopsis; Maintainer for synopsis is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for synopsis is src:synopsis.

Reported by: Daniel Roschka <danielroschka@phoenitydawn.de>

Date: Tue, 3 Jun 2008 10:36:02 UTC

Severity: grave

Found in version synopsis/0.8.0-5.2

Fixed in version synopsis/0.8.0-5.3

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andreas Fester <Andreas.Fester@gmx.de>:
Bug#484266; Package synopsis. Full text and rfc822 format available.

Acknowledgement sent to Daniel Roschka <danielroschka@phoenitydawn.de>:
New Bug report received and forwarded. Copy sent to Andreas Fester <Andreas.Fester@gmx.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Roschka <danielroschka@phoenitydawn.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: synopsis unusable because of termination on startup
Date: Tue, 03 Jun 2008 12:23:26 +0200
Package: synopsis
Version: 0.8.0-5.2
Severity: grave
Justification: renders package unusable


When I try to start synopsis all I get is the following error:

daniel@phoenix:~/devel/python$ synopsis -p Python -f HTML -o html *.py
terminate called after throwing an instance of 'Synopsis::Python::Object::TypeError'
  what():  a new-style class can't have only classic bases
Abgebrochen


Using other parsers or formatter doesn't help.
I tried it on two different systems. One with etch and one with unstable. On both machines I got the same error.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages synopsis depends on:
ii  cpp           4:4.2.3-10                 The GNU C preprocessor (cpp)
ii  graphviz      2.18-1+b2                  rich set of graph drawing tools
ii  gsfonts       1:8.11+urwcyr1.0.7~pre43-2 Fonts for the Ghostscript interpre
ii  libc6         2.7-11                     GNU C Library: Shared libraries
ii  libgcc1       1:4.3.0-5                  GCC support library
ii  libstdc++6    4.3.0-5                    The GNU Standard C++ Library v3
ii  libsynopsis8  0.8.0-5.2                  The runtime library for Synopsis
ii  python        2.5.2-1                    An interactive high-level object-o
ii  python-centra 0.6.7                      register and build utility for Pyt
ii  python2.5     2.5.2-6                    An interactive high-level object-o

synopsis recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Fester <Andreas.Fester@gmx.de>:
Bug#484266; Package synopsis. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Andreas Fester <Andreas.Fester@gmx.de>. Full text and rfc822 format available.

Message #10 received at 484266@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 484266@bugs.debian.org
Subject: Re: synopsis unusable because of termination on startup
Date: Sun, 29 Jun 2008 18:44:11 +0100
[Message part 1 (text/plain, inline)]
This bug was due to synopsis using exception classes with no base
classes.  I have made an NMU with a patch to make them inherit from
Exception as is now required, and fixed some other bugs I found along
the way.  Patch follows.

Ben.

diff -u synopsis-0.8.0/debian/rules synopsis-0.8.0/debian/rules
--- synopsis-0.8.0/debian/rules
+++ synopsis-0.8.0/debian/rules
@@ -68,7 +68,7 @@
 	chmod 644 $(PKG_TMP)/usr/include/Synopsis/PTree/Writer.hh
 
 	# Install documentation
-	mkdir -p $(PKG_TMP)/usr/share/doc/synopsis-doc
+	mv $(PKG_TMP)/usr/share/doc/Synopsis $(PKG_TMP)/usr/share/doc/synopsis-doc
 	cp -a share/doc/Synopsis/examples $(PKG_TMP)/usr/share/doc/synopsis-doc
 	cp -a share/doc/Synopsis/html $(PKG_TMP)/usr/share/doc/synopsis-doc
 
diff -u synopsis-0.8.0/debian/changelog synopsis-0.8.0/debian/changelog
--- synopsis-0.8.0/debian/changelog
+++ synopsis-0.8.0/debian/changelog
@@ -1,3 +1,14 @@
+synopsis (0.8.0-5.3) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/patches/31_use_exception_base.dpatch: Use Exception as base
+    class for exception classes. (Closes: #484266)
+  * debian/patches/71_gcc4.3.dpatch: Patch test suite too.
+  * Updated documentation section to Programming
+  * Fixed creation of extra documentation directories
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jun 2008 14:22:40 +0000
+
 synopsis (0.8.0-5.2) unstable; urgency=high
 
   * Non-maintainer upload.
diff -u synopsis-0.8.0/debian/synopsis-doc.doc-base.DevGuide synopsis-0.8.0/debian/synopsis-doc.doc-base.DevGuide
--- synopsis-0.8.0/debian/synopsis-doc.doc-base.DevGuide
+++ synopsis-0.8.0/debian/synopsis-doc.doc-base.DevGuide
@@ -8,7 +8,7 @@
  adventurers to find their way around the project. APIs that are currently
  documented here may mature and become stable, at which point their
  documentation will be migrated to the tutorial.
-Section: Apps/Programming
+Section: Programming
 
 Format: HTML
 Index: /usr/share/doc/synopsis-doc/html/DevGuide/index.html
diff -u synopsis-0.8.0/debian/synopsis-doc.doc-base.Tutorial synopsis-0.8.0/debian/synopsis-doc.doc-base.Tutorial
--- synopsis-0.8.0/debian/synopsis-doc.doc-base.Tutorial
+++ synopsis-0.8.0/debian/synopsis-doc.doc-base.Tutorial
@@ -10,7 +10,7 @@
  representations are presently being worked on, notably in relation to the
  C++ parser. To learn more about those (Parse Tree, Symbol Table, etc.) see
  the Developer's Guide.
-Section: Apps/Programming
+Section: Programming
 
 Format: HTML
 Index: /usr/share/doc/synopsis-doc/html/Tutorial/index.html
diff -u synopsis-0.8.0/debian/patches/71_gcc4.3.dpatch synopsis-0.8.0/debian/patches/71_gcc4.3.dpatch
--- synopsis-0.8.0/debian/patches/71_gcc4.3.dpatch
+++ synopsis-0.8.0/debian/patches/71_gcc4.3.dpatch
@@ -105,0 +106,10 @@
+--- synopsis-0.8.0~/tests/Cxx/src/Encoding.cc	2008-06-29 14:21:40.000000000 +0000
++++ synopsis-0.8.0/tests/Cxx/src/Encoding.cc	2008-06-29 14:20:37.000000000 +0000
+@@ -8,6 +8,7 @@
+ #include <iostream>
+ #include <iomanip>
+ #include <fstream>
++#include <stdlib.h>
+ 
+ using namespace Synopsis;
+ 
diff -u synopsis-0.8.0/debian/patches/00list synopsis-0.8.0/debian/patches/00list
--- synopsis-0.8.0/debian/patches/00list
+++ synopsis-0.8.0/debian/patches/00list
@@ -1,5 +1,6 @@
 25_soname
 30_import_processor_py
+31_use_exception_base
 40_Scope_hh
 50_Object_hh
 60_ASCII_py
only in patch2:
unchanged:
--- synopsis-0.8.0.orig/debian/patches/31_use_exception_base.dpatch
+++ synopsis-0.8.0/debian/patches/31_use_exception_base.dpatch
@@ -0,0 +1,40 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 31_use_exception_base.dpatch by Ben Hutchings <ben@decadent.org.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Exception classes must be subclasses of Exception.
+
+@DPATCH@
+--- synopsis-0.8.0.orig/Synopsis/Formatters/Dot.py	2005-05-13 04:16:16.000000000 +0000
++++ synopsis-0.8.0/Synopsis/Formatters/Dot.py	2008-06-29 15:58:51.000000000 +0000
+@@ -18,7 +18,7 @@
+ 
+ verbose = False
+ 
+-class SystemError:
++class SystemError(Exception):
+    """Error thrown by the system() function. Attributes are 'retval', encoded
+    as per os.wait(): low-byte is killing signal number, high-byte is return
+    value of command."""
+--- synopsis-0.8.0.orig/Synopsis/Processor.py	2008-06-29 15:41:11.000000000 +0000
++++ synopsis-0.8.0/Synopsis/Processor.py	2008-06-29 15:42:31.000000000 +0000
+@@ -71,7 +71,7 @@
+             raise KeyError, "No parameter '%s' in '%s'"%(i, self.__class__.__name__)
+ 
+ 
+-class Error:
++class Error(Exception):
+    """An exception a processor may raise during processing."""
+ 
+    def __init__(self, what):
+--- synopsis-0.8..orig0/Synopsis/Type.py	2005-05-13 04:16:17.000000000 +0000
++++ synopsis-0.8.0/Synopsis/Type.py	2008-06-29 15:59:27.000000000 +0000
+@@ -13,7 +13,7 @@
+    "Compares classes of two objects"
+    return cmp(type(a),type(b)) or cmp(a.__class__,b.__class__)
+ 
+-class Error:
++class Error(Exception):
+    """Exception class used by Type internals."""
+ 
+    def __init__(self, err):
--- END ---

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Roschka <danielroschka@phoenitydawn.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 484266-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 484266-close@bugs.debian.org
Subject: Bug#484266: fixed in synopsis 0.8.0-5.3
Date: Sun, 29 Jun 2008 17:47:06 +0000
Source: synopsis
Source-Version: 0.8.0-5.3

We believe that the bug you reported is fixed in the latest version of
synopsis, which is due to be installed in the Debian FTP archive:

libsynopsis8-dev_0.8.0-5.3_i386.deb
  to pool/main/s/synopsis/libsynopsis8-dev_0.8.0-5.3_i386.deb
libsynopsis8_0.8.0-5.3_i386.deb
  to pool/main/s/synopsis/libsynopsis8_0.8.0-5.3_i386.deb
synopsis-doc_0.8.0-5.3_all.deb
  to pool/main/s/synopsis/synopsis-doc_0.8.0-5.3_all.deb
synopsis_0.8.0-5.3.diff.gz
  to pool/main/s/synopsis/synopsis_0.8.0-5.3.diff.gz
synopsis_0.8.0-5.3.dsc
  to pool/main/s/synopsis/synopsis_0.8.0-5.3.dsc
synopsis_0.8.0-5.3_i386.deb
  to pool/main/s/synopsis/synopsis_0.8.0-5.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated synopsis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 14:22:40 +0000
Source: synopsis
Binary: synopsis synopsis-doc libsynopsis8 libsynopsis8-dev
Architecture: source all i386
Version: 0.8.0-5.3
Distribution: unstable
Urgency: low
Maintainer: Andreas Fester <Andreas.Fester@gmx.de>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 libsynopsis8 - The runtime library for Synopsis
 libsynopsis8-dev - The runtime library for Synopsis (development files)
 synopsis   - A Source-code Introspection Tool
 synopsis-doc - Documentation for synopsis
Closes: 484266
Changes: 
 synopsis (0.8.0-5.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/31_use_exception_base.dpatch: Use Exception as base
     class for exception classes. (Closes: #484266)
   * debian/patches/71_gcc4.3.dpatch: Patch test suite too.
   * Updated documentation section to Programming
   * Fixed creation of extra documentation directories
Checksums-Sha1: 
 8beb81bf36114f4ad734771f47b4bed913e91f78 1121 synopsis_0.8.0-5.3.dsc
 24258bbcc9b7e39ced86c9e1c321b456b8c20922 11265 synopsis_0.8.0-5.3.diff.gz
 b3b9067be89a2af2698932a1b5c74f2bebf7bd91 390234 synopsis-doc_0.8.0-5.3_all.deb
 a446561904eab7fbbb60d682de6e8b4097bef4c3 601586 synopsis_0.8.0-5.3_i386.deb
 ab99184749e141c34b357a07693cef4984506524 244292 libsynopsis8_0.8.0-5.3_i386.deb
 be67c00da2d6300861c59f6bacde10619ad1741b 29446 libsynopsis8-dev_0.8.0-5.3_i386.deb
Checksums-Sha256: 
 e703172fd525afd11dbfb85ac56b6766680a3382dff85c7c3d753864adafa420 1121 synopsis_0.8.0-5.3.dsc
 76f9faf856641a7753b950c91e6e1b6a33e239854314c9379ec971641c3f2b7a 11265 synopsis_0.8.0-5.3.diff.gz
 c1d76107e2a34a47c3042bd9faa13a784d25793406d5e7de25134c1d70cdb925 390234 synopsis-doc_0.8.0-5.3_all.deb
 e85c57885b79b474fcbd553e92c0b207716e58aaacdc5ac830c38ab689ce9466 601586 synopsis_0.8.0-5.3_i386.deb
 b44440df97e45ed73ad736d397a3d38f8c88de964b40b3a44aa795c4be570612 244292 libsynopsis8_0.8.0-5.3_i386.deb
 fe6893bad6ab89070ee408edfb4208c1cbbe25e5f7d97bd1bd91d5a6240b8c1a 29446 libsynopsis8-dev_0.8.0-5.3_i386.deb
Files: 
 f43419713c3e8d948ac75b5854168c9c 1121 devel optional synopsis_0.8.0-5.3.dsc
 007702d3ad902f0a3c0507f323851927 11265 devel optional synopsis_0.8.0-5.3.diff.gz
 acf8e74e25bfcf019efa8872a6ee5685 390234 doc optional synopsis-doc_0.8.0-5.3_all.deb
 6e6f4e6e1526084217e2a175d8639286 601586 devel optional synopsis_0.8.0-5.3_i386.deb
 0a13e5c6c5de9b296ed80c987e7477ff 244292 libs optional libsynopsis8_0.8.0-5.3_i386.deb
 44299b5f317d505cf5d7c49dcefc5b48 29446 libdevel optional libsynopsis8-dev_0.8.0-5.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIZ8ju79ZNCRIGYgcRAkTqAKCMKgDH/ZAFBLP2gAvhCMNpZbDCTACgpWyz
sNN2RQ1o3+72o/WySz/vFUs=
=puUo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Aug 2008 07:37:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:52:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.